import request from '@/utils/request'

// 查询检测仪列表
export function listTester(query) {
  return request({
    url: '/dev/tester/list',
    method: 'get',
    params: query
  })
}

// 查询检测仪详细
export function getTester(id) {
  return request({
    url: '/dev/tester/' + id,
    method: 'get'
  })
}

// 新增检测仪
export function addTester(data) {
  return request({
    url: '/dev/tester',
    method: 'post',
    data: data
  })
}

// 修改检测仪
export function updateTester(data) {
  return request({
    url: '/dev/tester',
    method: 'put',
    data: data
  })
}

// 删除检测仪
export function delTester(id) {
  return request({
    url: '/dev/tester/' + id,
    method: 'delete'
  })
}
